> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Investor Investment Detail

> Read the held investment, its person and logins, investor entity and visible warrant settlement schedule.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-investor-investment-detail
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-investor-investment-detail:
    get:
      operationId: getInvestorInvestmentDetail
      summary: Get Investor Investment Detail
      description: >-
        Read the held investment, its person and logins, investor entity and
        visible warrant settlement schedule.


        Not available to API keys.
      parameters:
        - name: investmentID
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetInvestorInvestmentDetailResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetInvestorInvestmentDetailResponse:
      oneOf:
        - $ref: '#/components/schemas/GetInvestorInvestmentDetailResponse1'
        - type: 'null'
    GetInvestorInvestmentDetailResponse1:
      type: object
      properties:
        investmentID:
          type: string
        roleInOrgID:
          type: string
        investmentName:
          type: string
        investmentDescription:
          type:
            - string
            - 'null'
        purchasePrice:
          type: number
        amount:
          type: number
        totalValue:
          type: number
        investmentStatus:
          type: string
          enum:
            - PENDING
            - REJECTED
            - ACCEPTED
            - COMPLETED
            - TERMINATED
            - PAUSED
        issueDate:
          type:
            - string
            - 'null'
        lockupPeriodMonths:
          type:
            - integer
            - 'null'
        createdAt:
          type: string
        updatedAt:
          type: string
        legacyMigratedAt:
          type:
            - string
            - 'null'
        legacyModelID:
          type:
            - integer
            - 'null'
        investorEntityID:
          type:
            - string
            - 'null'
        investorEntity:
          type:
            - object
            - 'null'
          properties:
            investorEntityID:
              type: string
            entityName:
              type: string
            orgID:
              type: string
          required:
            - investorEntityID
            - entityName
            - orgID
        roleInOrg:
          type: object
          properties:
            person:
              type: object
              properties:
                givenName:
                  type: string
                familyName:
                  type: string
                users:
                  type: array
                  items:
                    type: object
                    properties:
                      userID:
                        type: string
                      loginEmail:
                        type: string
                    required:
                      - userID
                      - loginEmail
              required:
                - givenName
                - familyName
                - users
            org:
              type: object
              properties:
                hasInvestmentCapTableLockups:
                  type:
                    - boolean
                    - 'null'
              required:
                - hasInvestmentCapTableLockups
            warrants:
              type: array
              items:
                type: object
                properties:
                  warrantID:
                    type: string
                  roleInOrgID:
                    type: string
                  warrantName:
                    type: string
                  investorEntityID:
                    type:
                      - string
                      - 'null'
                  warrantDescription:
                    type:
                      - string
                      - 'null'
                  warrantStatus:
                    type: string
                    enum:
                      - DRAFT
                      - AGREEMENT_SENT
                      - AGREEMENT_SIGNED
                      - EXERCISE_NOTICE_SENT
                      - EXERCISE_NOTICE_SIGNED
                      - EXERCISE_ELIGIBLE
                      - PENDING_PAYMENT_VERIFICATION
                      - PAID
                      - IN_LOCKUP
                      - SETTLED
                      - PENDING_SETTLEMENT
                  warrantConfigurationID:
                    type: string
                  firmName:
                    type:
                      - string
                      - 'null'
                  amount:
                    type: number
                  price:
                    type:
                      - number
                      - 'null'
                  totalValue:
                    type:
                      - number
                      - 'null'
                  issueDate:
                    type: string
                  expirationDate:
                    type:
                      - string
                      - 'null'
                  lockupPeriodMonths:
                    type:
                      - integer
                      - 'null'
                  lockupFrequencyType:
                    type: string
                    enum:
                      - MONTHLY
                      - QUARTERLY
                      - SEMIANNUALLY
                      - YEARLY
                      - CUSTOM
                      - DAILY
                      - WEEKLY
                  unlockDateOverride:
                    type:
                      - string
                      - 'null'
                  agreementSignedAt:
                    type:
                      - string
                      - 'null'
                  exerciseNoticeTermsHash:
                    type:
                      - string
                      - 'null'
                  exerciseNoticeEnvelopeID:
                    type:
                      - string
                      - 'null'
                  exerciseNoticeEnvelopeCompletedAt:
                    type:
                      - string
                      - 'null'
                  exerciseNoticeSignedAt:
                    type:
                      - string
                      - 'null'
                  paidAt:
                    type:
                      - string
                      - 'null'
                  settledAt:
                    type:
                      - string
                      - 'null'
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  legacyMigratedAt:
                    type:
                      - string
                      - 'null'
                  legacyModelID:
                    type:
                      - integer
                      - 'null'
                  isSigned:
                    type:
                      - boolean
                      - 'null'
                  isPaid:
                    type:
                      - boolean
                      - 'null'
                  isExercised:
                    type:
                      - boolean
                      - 'null'
                  isUnderLockup:
                    type:
                      - boolean
                      - 'null'
                  isOffPlatform:
                    type:
                      - boolean
                      - 'null'
                  isTerminated:
                    type:
                      - boolean
                      - 'null'
                  warrantLabel:
                    type:
                      - string
                      - 'null'
                  warrantLockup:
                    type: array
                    items:
                      type: object
                      properties:
                        legacyMigratedAt:
                          type:
                            - string
                            - 'null'
                        legacyModelID:
                          type:
                            - integer
                            - 'null'
                        lockupID:
                          type: string
                        roleInOrgID:
                          type: string
                        investorEntityID:
                          type:
                            - string
                            - 'null'
                        warrantID:
                          type: string
                        unlockDate:
                          type: string
                        unlockUnits:
                          type: string
                        sequence:
                          type: integer
                        settledUnits:
                          type:
                            - string
                            - 'null'
                        settlementID:
                          type:
                            - string
                            - 'null'
                        taxReferenceID:
                          type:
                            - string
                            - 'null'
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        payrollReportingGroupID:
                          type:
                            - string
                            - 'null'
                        status:
                          type:
                            - string
                            - 'null'
                        taxEngineProcessingState:
                          type:
                            - string
                            - 'null'
                        taxEnginePayrollID:
                          type:
                            - string
                            - 'null'
                        taxEngineClaimID:
                          type:
                            - string
                            - 'null'
                        fiatFmv:
                          type:
                            - string
                            - 'null'
                        settlementRecord:
                          type:
                            - object
                            - 'null'
                          properties:
                            settlementID:
                              type: string
                            roleInOrgID:
                              type: string
                            scheduleAmounts: {}
                            recordedVia:
                              type:
                                - string
                                - 'null'
                            revision:
                              type: integer
                            supersededDocumentIDs:
                              type: array
                              items:
                                type: string
                            settledUnits:
                              type: string
                            cashUnits:
                              type:
                                - string
                                - 'null'
                            settledDate:
                              type: string
                            settlementMethod:
                              type: string
                            createdAt:
                              type: string
                            updatedAt:
                              type: string
                            documentID:
                              type:
                                - string
                                - 'null'
                            legacyMigratedAt:
                              type:
                                - string
                                - 'null'
                            legacyModelID:
                              type:
                                - integer
                                - 'null'
                            tokenName:
                              type:
                                - string
                                - 'null'
                            withheldUnits:
                              type:
                                - string
                                - 'null'
                            fmv:
                              type:
                                - string
                                - 'null'
                            tokenSettlement:
                              type:
                                - object
                                - 'null'
                              properties:
                                tokenSettlementID:
                                  type: string
                                settlementID:
                                  type: string
                                roleInOrgID:
                                  type: string
                                address:
                                  type:
                                    - string
                                    - 'null'
                                tokenCurrencyCode:
                                  type: string
                                tokenNetwork:
                                  type:
                                    - string
                                    - 'null'
                                percentageOfTransactionAttributedToSettlement:
                                  type: string
                                transactionLink:
                                  type: string
                                transactionHash:
                                  type: string
                                createdAt:
                                  type: string
                                updatedAt:
                                  type: string
                                legacyMigratedAt:
                                  type:
                                    - string
                                    - 'null'
                                legacyModelID:
                                  type:
                                    - integer
                                    - 'null'
                                walletReferenceID:
                                  type:
                                    - string
                                    - 'null'
                                tokenWalletReferenceID:
                                  type:
                                    - string
                                    - 'null'
                                stablecoinAmount:
                                  type:
                                    - string
                                    - 'null'
                                stablecoinSymbol:
                                  type:
                                    - string
                                    - 'null'
                                stablecoinTransactionHash:
                                  type:
                                    - string
                                    - 'null'
                                stablecoinTransactionLink:
                                  type:
                                    - string
                                    - 'null'
                              required:
                                - tokenSettlementID
                                - settlementID
                                - roleInOrgID
                                - address
                                - tokenCurrencyCode
                                - tokenNetwork
                                - percentageOfTransactionAttributedToSettlement
                                - transactionLink
                                - transactionHash
                                - createdAt
                                - updatedAt
                                - legacyMigratedAt
                                - legacyModelID
                                - walletReferenceID
                                - tokenWalletReferenceID
                                - stablecoinAmount
                                - stablecoinSymbol
                                - stablecoinTransactionHash
                                - stablecoinTransactionLink
                          required:
                            - settlementID
                            - roleInOrgID
                            - scheduleAmounts
                            - recordedVia
                            - revision
                            - supersededDocumentIDs
                            - settledUnits
                            - cashUnits
                            - settledDate
                            - settlementMethod
                            - createdAt
                            - updatedAt
                            - documentID
                            - legacyMigratedAt
                            - legacyModelID
                            - tokenName
                            - withheldUnits
                            - fmv
                            - tokenSettlement
                        taxReference:
                          type:
                            - object
                            - 'null'
                          properties:
                            taxReferenceID:
                              type: string
                            roleInOrgID:
                              type: string
                            type:
                              type: string
                            status:
                              type: string
                            payrollID:
                              type: string
                            unitsToWithhold:
                              type: string
                            totalUnits:
                              type: string
                            unitsToDistribute:
                              type: string
                            taxCurrencyCode:
                              type: string
                            valueInTaxCurrency:
                              type: string
                            amountToWithholdInTaxCurrency:
                              type: string
                            documentID:
                              type:
                                - string
                                - 'null'
                            taxData: {}
                            legacyMigratedAt:
                              type:
                                - string
                                - 'null'
                            legacyModelID:
                              type:
                                - integer
                                - 'null'
                            fmv:
                              type:
                                - string
                                - 'null'
                            fiatFmv:
                              type:
                                - string
                                - 'null'
                            rejectionReason:
                              type:
                                - string
                                - 'null'
                            withholdingPercentage:
                              type:
                                - string
                                - 'null'
                            stablecoinSplitPercentage:
                              type:
                                - string
                                - 'null'
                            stablecoinAmount:
                              type:
                                - string
                                - 'null'
                            stablecoinFmv:
                              type:
                                - string
                                - 'null'
                            desiredSettlementMethod:
                              type: string
                            fmvSource:
                              type:
                                - string
                                - 'null'
                            fmvAsOf:
                              type:
                                - string
                                - 'null'
                            fmvUsd:
                              type:
                                - string
                                - 'null'
                            localCurrencyCode:
                              type:
                                - string
                                - 'null'
                            fmvLocal:
                              type:
                                - string
                                - 'null'
                            finalizedWalletAddress:
                              type:
                                - string
                                - 'null'
                            settlmentDocumentID:
                              type:
                                - string
                                - 'null'
                            createdAt:
                              type: string
                            updatedAt:
                              type: string
                          required:
                            - taxReferenceID
                            - roleInOrgID
                            - type
                            - status
                            - payrollID
                            - unitsToWithhold
                            - totalUnits
                            - unitsToDistribute
                            - taxCurrencyCode
                            - valueInTaxCurrency
                            - amountToWithholdInTaxCurrency
                            - documentID
                            - taxData
                            - legacyMigratedAt
                            - legacyModelID
                            - fmv
                            - fiatFmv
                            - rejectionReason
                            - withholdingPercentage
                            - stablecoinSplitPercentage
                            - stablecoinAmount
                            - stablecoinFmv
                            - desiredSettlementMethod
                            - fmvSource
                            - fmvAsOf
                            - fmvUsd
                            - localCurrencyCode
                            - fmvLocal
                            - finalizedWalletAddress
                            - settlmentDocumentID
                            - createdAt
                            - updatedAt
                      required:
                        - legacyMigratedAt
                        - legacyModelID
                        - lockupID
                        - roleInOrgID
                        - investorEntityID
                        - warrantID
                        - unlockDate
                        - unlockUnits
                        - sequence
                        - settledUnits
                        - settlementID
                        - taxReferenceID
                        - createdAt
                        - updatedAt
                        - payrollReportingGroupID
                        - status
                        - taxEngineProcessingState
                        - taxEnginePayrollID
                        - taxEngineClaimID
                        - fiatFmv
                        - settlementRecord
                        - taxReference
                required:
                  - warrantID
                  - roleInOrgID
                  - warrantName
                  - investorEntityID
                  - warrantDescription
                  - warrantStatus
                  - warrantConfigurationID
                  - firmName
                  - amount
                  - price
                  - totalValue
                  - issueDate
                  - expirationDate
                  - lockupPeriodMonths
                  - lockupFrequencyType
                  - unlockDateOverride
                  - agreementSignedAt
                  - exerciseNoticeTermsHash
                  - exerciseNoticeEnvelopeID
                  - exerciseNoticeEnvelopeCompletedAt
                  - exerciseNoticeSignedAt
                  - paidAt
                  - settledAt
                  - createdAt
                  - updatedAt
                  - legacyMigratedAt
                  - legacyModelID
                  - isSigned
                  - isPaid
                  - isExercised
                  - isUnderLockup
                  - isOffPlatform
                  - isTerminated
                  - warrantLabel
                  - warrantLockup
          required:
            - person
            - org
            - warrants
      required:
        - investmentID
        - roleInOrgID
        - investmentName
        - investmentDescription
        - purchasePrice
        - amount
        - totalValue
        - investmentStatus
        - issueDate
        - lockupPeriodMonths
        - createdAt
        - updatedAt
        - legacyMigratedAt
        - legacyModelID
        - investorEntityID
        - investorEntity
        - roleInOrg
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
